package cn.com.poc.long_document.aggregate;

import cn.com.poc.long_document.dto.LongTextExampleDto;
import cn.com.poc.long_document.dto.LongTextSummaryDto;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/6/17
 */
public interface LongTextDialoguesService {


    void call(String dialoguesId, String fileUrl, String input, Integer[] knowledgeIds, Long userId, Boolean enableSearchEngine, Boolean enableDeepThinking) throws Exception;

    LongTextSummaryDto summary(String dialoguesId, Long userId) throws Exception;

    List<LongTextExampleDto> example() throws Exception;

}
